### Function

# Gimp file_save

#### Declaration [src]

    gboolean
    gimp_file_save (
      GimpRunMode run_mode,
      GimpImage* image,
      GFile* file,
      GimpExportOptions* options
    )

#### Description [src]

Saves to XCF or export `image` to any supported format by extension.

This procedure invokes the correct file save/export handler according to `file`‘s extension and/or prefix.

The `options` argument is currently unused and should be set to `NULL` right now.

#### Parameters

`run_mode`

  Type: `GimpRunMode`

  The run mode.

`image`

  Type: `GimpImage`

  Input image.

  The data is owned by the caller of the function.

`file`

  Type: `GFile`

  The file to save or export the image in.

  The data is owned by the caller of the function.

`options`

  Type: `GimpExportOptions`

  Export option settings.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.